<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Web Artist
	 * @since Web Artist 1.0.0
	 */

	/**
	 * web_artist_pro_doctype hook
	 *
	 * @hooked web_artist_pro_doctype -  10
	 *
	 */
	do_action( 'web_artist_pro_doctype' );

?>
<head>
<?php
	/**
	 * web_artist_pro_before_wp_head hook
	 *
	 * @hooked web_artist_pro_head -  10
	 *
	 */
	do_action( 'web_artist_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action('wp_body_open'); ?>

<?php
	/**
	 * web_artist_pro_page_start_action hook
	 *
	 * @hooked web_artist_pro_page_start -  10
	 *
	 */
	do_action( 'web_artist_pro_page_start_action' ); 

	/**
	 * web_artist_pro_loader_action hook
	 *
	 * @hooked web_artist_pro_loader -  10
	 *
	 */
	do_action( 'web_artist_pro_before_header' );

	/**
	 * web_artist_pro_header_action hook
	 *
	 * @hooked web_artist_pro_header_start -  10
	 * @hooked web_artist_pro_site_branding -  20
	 * @hooked web_artist_pro_site_navigation -  30
	 * @hooked web_artist_pro_header_end -  50
	 *
	 */
	do_action( 'web_artist_pro_header_action' );

	/**
	 * web_artist_pro_content_start_action hook
	 *
	 * @hooked web_artist_pro_content_start -  10
	 *
	 */
	do_action( 'web_artist_pro_content_start_action' );

	/**
	 * web_artist_pro_header_image_action hook
	 *
	 * @hooked web_artist_pro_header_image -  10
	 *
	 */
	do_action( 'web_artist_pro_header_image_action' );

    if ( web_artist_pro_is_frontpage() ) {
    	$options = web_artist_pro_get_theme_options();
    	if ( $options['home_layout'] == 'default-design' ) {
			$sections = array( 'slider', 'topic', 'product', 'service', 'artisan', 'cta', 'popular', 'testimonial', 'blog' );
		}
    	if ( $options['home_layout'] == 'fourth-design' ) {
			$sections = array( 'slider', 'about', 'service', 'counter', 'team', 'subscribe', 'blog' );
		}
		if ( $options['home_layout'] == 'fifth-design' ) {
			$sections = array( 'slider', 'about', 'course', 'counter', 'team', 'cta', 'popular', 'testimonial', 'blog' );
		}
		if ( $options['home_layout'] == 'sixth-design' ) {
			$sections = array( 'slider', 'service', 'about', 'feature', 'reason', 'blog', 'partner' );
		}
		if ( $options['home_layout'] == 'second-design' ) {
			$sections = array( 'slider', 'playlist', 'release', 'cta', 'service', 'testimonial', 'event', 'latest_release', 'latest', 'video', 'blog' );
		}
		if ( $options['home_layout'] == 'seventh-design' ) {
			$sections = array( 'slider', 'service', 'about', 'counter', 'team', 'testimonial', 'gallery', 'subscribe', 'blog');
		}
		foreach ( $sections as $section ) {
			add_action( 'web_artist_pro_primary_content', 'web_artist_pro_add_'. $section .'_section' );
		}

		

		do_action( 'web_artist_pro_primary_content' );
	}