<?php
/**
* counter Section options
*
* @package Theme Palace
* @subpackage Web Artist
* @since Web Artist 1.0.0
*/

// Add counter section
$wp_customize->add_section( 'web_artist_pro_counter_section', array(
	'title'             => esc_html__( 'Counter','web-artist-pro' ),
	'description'       => esc_html__( 'Counter Section options.', 'web-artist-pro' ),
	'panel'             => 'web_artist_pro_front_page_panel',
) );

// counter content enable control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_section_enable]', array(
	'default'			=> 	$options['counter_section_enable'],
	'sanitize_callback' => 'web_artist_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Web_Artist_Pro_Switch_Control( $wp_customize, 'web_artist_pro_theme_options[counter_section_enable]', array(
	'label'             => esc_html__( 'counter Section Enable', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_counter_section',
	'on_off_label' 		=> web_artist_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_bg_image]', array(
		'sanitize_callback' => 'web_artist_pro_sanitize_image'
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'web_artist_pro_theme_options[counter_bg_image]',
			array(
			'label'       		=> esc_html__( 'Counter Background Image', 'web-artist-pro'),
			'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'web-artist-pro' ), 2304, 384 ),
			'section'     		=> 'web_artist_pro_counter_section',
			'active_callback'	=> 'web_artist_pro_is_counter_section_enable',
	) ) );

// Event social icons number control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_count]', array(
	'default'          	=> $options['counter_count'],
	'sanitize_callback' => 'web_artist_pro_sanitize_number_range',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[counter_count]', array(
	'label'             => esc_html__( 'Number of counter', 'web-artist-pro' ),
	'description'       => esc_html__( 'Note: Min 4 & Max 12. Please input the valid number and save. Then refresh the page to see the change.', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_counter_section',
	'active_callback'   => 'web_artist_pro_is_counter_section_enable',
	'type'				=> 'number',
	'input_attrs'		=> array(
	'min'	=> 4,
	'max'	=> 12,
	'style' => 'width: 100px;'
	),
) );

for ( $i = 1; $i <= $options['counter_count']; $i++ ) :

// counter note control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_content_icon_' . $i . ']', array(
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( new Web_Artist_Pro_Icon_Picker( $wp_customize, 'web_artist_pro_theme_options[counter_content_icon_' . $i . ']', array(
	'label'             => sprintf( esc_html__( 'Select Icon %d', 'web-artist-pro' ), $i ),
	'section'           => 'web_artist_pro_counter_section',
	'active_callback'	=> 'web_artist_pro_is_counter_section_enable',
	) ) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_number_' . $i . ']', array(
	'sanitize_callback' => 'absint',
	) );

$wp_customize->add_control( 'web_artist_pro_theme_options[counter_number_' . $i . ']', array(
	'label'             => sprintf( esc_html__( 'Counter Number %d', 'web-artist-pro' ), $i ),
	'section'           => 'web_artist_pro_counter_section',
	'type'	=> 'number',
	'active_callback'	=> 'web_artist_pro_is_counter_section_enable',
	) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_text_' . $i . ']', array(
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( 'web_artist_pro_theme_options[counter_text_' . $i . ']', array(
	'label'             => sprintf( esc_html__( 'Counter Text %d', 'web-artist-pro' ), $i ),
	'section'           => 'web_artist_pro_counter_section',
	'type'	=> 'text',
	'active_callback'	=> 'web_artist_pro_is_counter_section_enable',
	) );

// counter hr setting and control
$wp_customize->add_setting( 'web_artist_pro_theme_options[counter_hr_'. $i .']', array(
	'sanitize_callback' => 'sanitize_text_field'
	) );

$wp_customize->add_control( new Web_Artist_Pro_Customize_Horizontal_Line( $wp_customize, 'web_artist_pro_theme_options[counter_hr_'. $i .']',array(
	'section'         => 'web_artist_pro_counter_section',
	'active_callback' => 'web_artist_pro_is_counter_section_enable',
	'type'			  => 'hr'
) ) );
endfor;
