<?php
/**
 * Playlist Section options
 *
 * @package Theme Palace
 * @subpackage web_artist Pro
 * @since web_artist Pro 1.0.0
 */

// Add Playlist section
$wp_customize->add_section( 'web_artist_pro_playlist_section', array(
	'title'             => esc_html__( 'Playlist','web-artist-pro' ),
	'description'       => esc_html__( 'Playlist Section options.', 'web-artist-pro' ),
	'panel'             => 'web_artist_pro_front_page_panel',
) );

// Playlist content enable control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[playlist_section_enable]', array(
	'default'			=> 	$options['playlist_section_enable'],
	'sanitize_callback' => 'web_artist_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new web_artist_Pro_Switch_Control( $wp_customize, 'web_artist_pro_theme_options[playlist_section_enable]', array(
	'label'             => esc_html__( 'Playlist Section Enable', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_playlist_section',
	'on_off_label' 		=> web_artist_pro_switch_options(),
) ) );

// playlist posts drop down chooser control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[playlist_content]', array(
	'sanitize_callback' => 'web_artist_pro_sanitize_array_int',
) );

$wp_customize->add_control( new web_artist_Pro_Multiple_Dropdown_Chooser( $wp_customize, 'web_artist_pro_theme_options[playlist_content]', array(
	'label'             => esc_html__( 'Select Multiple Audios', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_playlist_section',
	'choices'			=> web_artist_pro_audio_choices(),
	'active_callback'	=> 'web_artist_pro_is_playlist_section_enable',
) ) );

