<?php
$wp_customize->add_section( 'web_artist_pro_subscribe_section', array(
	'title'             => esc_html__( 'Subscribe','web-artist-pro' ),
	'description'       => esc_html__( 'Subscribe Section options.', 'web-artist-pro' ),
	'panel'             => 'web_artist_pro_front_page_panel',
) );

// subscribe content enable control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_section_enable]', array(
	'default'			=> 	$options['subscribe_section_enable'],
	'sanitize_callback' => 'web_artist_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new web_artist_Pro_Switch_Control( $wp_customize, 'web_artist_pro_theme_options[subscribe_section_enable]', array(
	'label'             => esc_html__( 'subscribe Section Enable', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_subscribe_section',
	'on_off_label' 		=> web_artist_pro_switch_options(),
) ) );




// subscribe title setting and control
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscribe_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[subscribe_title]', array(
	'label'           	=> esc_html__( 'Title', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_subscribe_section',
	'active_callback' 	=> 'web_artist_pro_is_subscribe_section_enable',
	'type'				=> 'text',
) );



// subscribe sub title setting and control
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscribe_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[subscribe_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_subscribe_section',
	'active_callback' 	=> 'web_artist_pro_is_subscribe_section_enable',
	'type'				=> 'text',
) );


// Clients image setting and control.
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_image]', array(
	'sanitize_callback' => 'web_artist_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'web_artist_pro_theme_options[subscribe_image]',
		array(
		'label'       		=>  esc_html__( 'Background Image ', 'web-artist-pro' ),
		'section'     		=> 'web_artist_pro_subscribe_section',
		'active_callback'	=> 'web_artist_pro_is_subscribe_section_enable',
) ) );

// subscribe description setting and control
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_description]', array(
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[subscribe_description]', array(
	'label'           	=> esc_html__( 'Description', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_subscribe_section',
	'active_callback' 	=> 'web_artist_pro_is_subscribe_section_enable',
	'type'				=> 'textarea',
) );

// subscribe sub title setting and control
$wp_customize->add_setting( 'web_artist_pro_theme_options[subscribe_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscribe_btn_label'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[subscribe_btn_label]', array(
	'label'           	=> esc_html__( 'Button Label', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_subscribe_section',
	'active_callback' 	=> 'web_artist_pro_is_subscribe_section_enable',
	'type'				=> 'text',
) );


