<?php
/**
 * topbar Section options
 *
 * @package Theme Palace
 * @subpackage Web Artist
 * @since Web Artist 1.0.0
 */

// Add topbar section
$wp_customize->add_section( 'web_artist_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','web-artist-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'web-artist-pro' ),
	'panel'             => 'web_artist_pro_front_page_panel',
) );

// topbar content enable control and setting
$wp_customize->add_setting( 'web_artist_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'web_artist_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Web_Artist_Pro_Switch_Control( $wp_customize, 'web_artist_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'topbar Section Enable', 'web-artist-pro' ),
	'section'           => 'web_artist_pro_topbar_section',
	'on_off_label' 		=> web_artist_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[topbar_email]', array(
	'sanitize_callback' => 'sanitize_email',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[topbar_email]', array(
	'label'           	=> esc_html__( 'Email', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_topbar_section',
	'active_callback' 	=> 'web_artist_pro_is_topbar_section_enable',
	'type'				=> 'email',
) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[topbar_contact]', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[topbar_contact]', array(
	'label'           	=> esc_html__( 'Contact', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_topbar_section',
	'active_callback' 	=> 'web_artist_pro_is_topbar_section_enable',
	'type'				=> 'text',
) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[topbar_btn_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[topbar_btn_text]', array(
	'label'           	=> esc_html__( 'Button Text', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_topbar_section',
	'active_callback' 	=> 'web_artist_pro_is_topbar_section_enable',
	'type'				=> 'text',
) );

$wp_customize->add_setting( 'web_artist_pro_theme_options[topbar_btn_url]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'web_artist_pro_theme_options[topbar_btn_url]', array(
	'label'           	=> esc_html__( 'Button Url', 'web-artist-pro' ),
	'section'        	=> 'web_artist_pro_topbar_section',
	'active_callback' 	=> 'web_artist_pro_is_topbar_section_enable',
	'type'				=> 'url',
) );