<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Web Artist
* @since Web Artist 1.0.0
*/

if ( ! function_exists( 'web_artist_pro_validate_long_excerpt' ) ) :
    function web_artist_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'web-artist-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_slider_count' ) ) :
    function web_artist_pro_validate_slider_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'web-artist-pro' ) );
        } elseif ( $value > 10 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_gallery_count' ) ) :
    function web_artist_pro_validate_gallery_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'web-artist-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_topic_count' ) ) :
    function web_artist_pro_validate_topic_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 2 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'web-artist-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_service_count' ) ) :
    function web_artist_pro_validate_service_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 2 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'web-artist-pro' ) );
        } elseif ( $value > 8 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_testimonial_count' ) ) :
    function web_artist_pro_validate_testimonial_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'web-artist-pro' ) );
        } elseif ( $value > 10 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_product_count' ) ) :
    function web_artist_pro_validate_product_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'web-artist-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'web_artist_pro_validate_artisan_count' ) ) :
    function web_artist_pro_validate_artisan_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'web-artist-pro' ) );
        } elseif ( $value > 10 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'web-artist-pro' ) );
        }
        return $validity;
    }
endif;

    if ( ! function_exists( 'web_artist_pro_validate_blog_count' ) ) :
        function web_artist_pro_validate_blog_count( $validity, $value ){
            $value = intval( $value );
            if ( empty( $value ) || ! is_numeric( $value ) ) {
                $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'web-artist-pro' ) );
            } elseif ( $value < 3 ) {
                $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'web-artist-pro' ) );
            } elseif ( $value > 12 ) {
                $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'web-artist-pro' ) );
            }
            return $validity;
        }
endif;
