<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage Mega Tour Pro
//  * @sinceMega Mega Tour Pro 1.0.0
//  */


function web_artist_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'web-artist-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'web_artist_pro_ctdi_plugin_page_setup' );


function web_artist_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/pro/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/dark/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/dark/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/dark/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/dark/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Education', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/education/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/education/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/education/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/education/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-pro-education',
        ),
         array(
            'import_file_name'             => esc_html__( 'Business', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/business/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/business/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/business/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/business/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-pro-business',
        ),
         array(
            'import_file_name'             => esc_html__( 'Medical', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/medical/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/medical/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/medical/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/medical/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-medical',
        ),
          array(
            'import_file_name'             => esc_html__( 'Music', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/music/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/music/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/music/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/music/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-music',
        ),
           array(
            'import_file_name'             => esc_html__( 'Kids', 'web-artist-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/kids/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/kids/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/kids/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/kids/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'web-artist-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/web-artist-kids',
        ),
      
    );
}
add_filter( 'cp-ctdi/import_files', 'web_artist_pro_ctdi_import_files' );



function web_artist_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'web_artist_pro_ctdi_after_import_setup' );
