<?php
/**
 * counter section
 *
 * This is the template for the content of counter section
 *
 * @package Theme Palace
 * @subpackage Web Artist
 * @since Web Artist 1.0.0
 */
if ( ! function_exists( 'web_artist_pro_add_counter_section' ) ) :
    /**
    * Add counter section
    *
    *@since Web Artist 1.0.0
    */
    function web_artist_pro_add_counter_section() {
    	$options = web_artist_pro_get_theme_options();
        // Check if counter is enabled on frontpage
        $counter_enable = apply_filters( 'web_artist_pro_section_status', true, 'counter_section_enable' );

        if ( true !== $counter_enable ) {
            return false;
        }

        // Render counter section now.
        web_artist_pro_render_counter_section( );
    }
endif;

if ( ! function_exists( 'web_artist_pro_render_counter_section' ) ) :
  /**
   * Start counter section
   *
   * @return string counter content
   * @since Web Artist 1.0.0
   *
   */
   function web_artist_pro_render_counter_section( ) {
        $options = web_artist_pro_get_theme_options();
        ?>
        <div id="business-counter" class="relative page-section" style="background-image:url('<?php echo esc_url( $options['counter_bg_image'] ) ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                    <div class="business-section-content clear col-4">
                        <?php for ($i=1; $i <= $options['counter_count'] ; $i++) : ?>
                            <?php if ( !empty( $options['counter_content_icon_' . $i] ) && !empty( $options['counter_number_' . $i] ) && !empty( $options['counter_text_' . $i] ) ): ?>
                                <article>
                                    <header class="entry-header">
                                        <div class="counter-icon">
                                            <i class="fa <?php echo $options['counter_content_icon_' . $i]; ?>"></i>
                                        </div><!-- .counter-icon -->

                                        <h3 class="counter-value">
                                            <?php echo esc_html( $options['counter_number_'.$i] ) ?>
                                        </h3>
                                        <div class="separator-line"></div>
                                        <h2 class="entry-title">
                                            <?php echo esc_html( $options['counter_text_'.$i] ) ?>
                                        </h2>
                                    </header>
                                </article>
                            <?php endif ?>
                        <?php endfor; ?>
                    </div><!-- .business-section-content -->
                </div><!-- .wrapper -->
            </div><!-- #business-counter -->

    <?php }
endif;
       