<?php
/**
 *
 * This is the template for the content of partner section
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */
if ( ! function_exists( 'web_artist_pro_add_partner_section' ) ) :
    /**
    * Add about section
    *
    *@since Shopall Pro 1.0.0
    */
    function web_artist_pro_add_partner_section() {
        $options = web_artist_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $partner_enable = apply_filters( 'web_artist_pro_section_status', true, 'partner_section_enable' );

        if ( true !== $partner_enable ) {
            return false;
        }       

        // Render about section now.
        web_artist_pro_render_partner_section( );
    }
endif;


if ( ! function_exists( 'web_artist_pro_render_partner_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Shopall Pro 1.0.0
   *
   */
   function web_artist_pro_render_partner_section( ) {
    $options = web_artist_pro_get_theme_options();
    ?>
        <div id="our-partners" class="relative page-section">
            <div class="wrapper">
                <div class="col-4">
                    <?php for ($i=1; $i <= $options['partner_count'] ; $i++) { 
                        $logo = empty( $options['partner_image_'.$i] ) ? '' : $options['partner_image_'.$i] ;
                        $logo_url = empty( $options['partner_url_'.$i] ) ? '' : $options['partner_url_'.$i] ;
                    ?>  
                        <?php if ( !empty( $logo ) ): ?>
                            <article>
                                <a href="<?php echo esc_url( $logo_url ); ?>">
                                    <img src="<?php echo esc_url( $logo ); ?>" alt="medical-client-<?php echo esc_attr($i) ?>">
                                </a>
                            </article>
                        <?php endif ?>                        
                    <?php } ?>
                </div><!-- .col-4 -->
            </div><!-- .wrapper -->
        </div><!-- #our-partners -->

    <?php 
    }
endif;

            