<?php
/**
 *
 * This is the template for the content of subscribe section
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */
if ( ! function_exists( 'web_artist_pro_add_subscribe_section' ) ) :
    /**
    * Add about section
    *
    *@since Shopall Pro 1.0.0
    */
    function web_artist_pro_add_subscribe_section() {
        $options = web_artist_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $subscribe_enable = apply_filters( 'web_artist_pro_section_status', true, 'subscribe_section_enable' );

        if ( true !== $subscribe_enable ) {
            return false;
        }       

        // Render about section now.
        web_artist_pro_render_subscribe_section( );
    }
endif;


if ( ! function_exists( 'web_artist_pro_render_subscribe_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Shopall Pro 1.0.0
   *
   */
   function web_artist_pro_render_subscribe_section( ) {
   
        if ( ! class_exists( 'Jetpack' ) ) {
            return;
        }
        $options = web_artist_pro_get_theme_options();
         $image   = empty( $options['subscribe_image'] ) ? '' : $options['subscribe_image'] ;
         $subscribe_title   = empty( $options['subscribe_title'] ) ? '' : $options['subscribe_title'] ;
         $subscribe_sub_title   = empty( $options['subscribe_sub_title'] ) ? '' : $options['subscribe_sub_title'] ;
        $subscribe_description   = empty( $options['subscribe_description'] ) ? '' : $options['subscribe_description'] ;
        ?>
        <div id="business-subscribe-us" class="relative page-section" style="background-image: url('<?php echo esc_url( $image ) ; ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                    <div class="subscribe-form-wrapper">
                        <p class="subtitle"><?php echo esc_html( $subscribe_sub_title ); ?>r</p>
                        <div class="jetpack_subscribe_widget">
                            <h3 class="widget-title"><?php echo esc_html( $subscribe_title ); ?></h3>
                            <?php 
                                $subscribe_shortcode = '[jetpack_subscription_form title="" subscribe_text="' . esc_html( $options['subscribe_description'] ) . '" subscribe_button="' . esc_html( $options['subscribe_btn_label'] ) . '" show_subscribers_total="0"]';
                                echo do_shortcode( wp_kses_post( $subscribe_shortcode ) ); 
                            ?>
                        </div>
                    </div><!-- .subscribe-form-wrapper -->
                </div><!-- .wrapper -->
            </div><!-- #sbusiness-ubscribe-us -->

        <?php 
    }
endif;

            